aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rw-r--r--test/conda/install_conda.sh12
-rw-r--r--test/conda/scenarios.json11
-rwxr-xr-xtest/conda/test.sh12
3 files changed, 35 insertions, 0 deletions
diff --git a/test/conda/install_conda.sh b/test/conda/install_conda.sh
new file mode 100644
index 0000000..92fd2e0
--- /dev/null
+++ b/test/conda/install_conda.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "conda" conda --version | grep 4.12.0
+check "conda-forge" conda config --show channels | grep conda-forge
+
+# Report result
+reportResults
diff --git a/test/conda/scenarios.json b/test/conda/scenarios.json
new file mode 100644
index 0000000..9cc2fc1
--- /dev/null
+++ b/test/conda/scenarios.json
@@ -0,0 +1,11 @@
+{
+ "install_conda": {
+ "image": "ubuntu:focal",
+ "features": {
+ "conda": {
+ "version": "4.12.0",
+ "addCondaForge": "true"
+ }
+ }
+ }
+}
diff --git a/test/conda/test.sh b/test/conda/test.sh
new file mode 100755
index 0000000..69120d9
--- /dev/null
+++ b/test/conda/test.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "version" conda --version
+
+# Report result
+reportResults